function y=FramePropertiesObjFun(x,F,s); 
% FramePropertiesObjFun  Objective function for finding the x that is 
% most difficult to represent by a sparse approximation using the frame F
% y is 1-r where r is error. This function is used during optmazation in
% FrameProperties.m (fminunc.m function use this object function).

x=x(:);
temp=x'*x;
if temp>0; x=x/sqrt(temp); end;
w=VSfs(F,x,s);
r=x-F*w;
y=1-r'*r;
return